Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl.xs
Class XSDDescription

    java.lang.Object
      weblogic.apache.xerces.util.XMLResourceIdentifierImpl
          weblogic.apache.xerces.impl.xs.XSDDescription

All Implemented Interfaces:
  XMLGrammarDescription, XMLResourceIdentifier

    public class XSDDescription

extends XMLResourceIdentifierImpl
implements XMLGrammarDescription

Field Summary
`static short` | `CONTEXT_ATTRIBUTE` Indicate that the parse of the current schema document is triggered by the occurrence of an attribute whose namespace is the target namespace of this schema document.
`static short` | `CONTEXT_ELEMENT` Indicate that the parse of the current schema document is triggered by the occurrence of an element whose namespace is the target namespace of this schema document.
`static short` | `CONTEXT_IMPORT` Indicate that the current schema document is ed by another schema document.
`static short` | `CONTEXT_INCLUDE` Indicate that the current schema document is d by another schema document.
`static short` | `CONTEXT_INITIALIZE` Indicate that this description was just initialized.
`static short` | `CONTEXT_INSTANCE` Indicate that the parse of the current schema document is triggered by xsi:schemaLocation/noNamespaceSchemaLocation attribute(s) in the instance document.
`static short` | `CONTEXT_PREPARSE` Indicate that the current schema document is being preparsed.
`static short` | `CONTEXT_REDEFINE` Indicate that the current schema document is d by another schema document.
`static short` | `CONTEXT_XSITYPE` Indicate that the parse of the current schema document is triggered by the occurrence of an "xsi:type" attribute, whose value (a QName) has the target namespace of this schema document as its namespace.
`protected XMLAttributes` | `fAttributes`
`protected short` | `fContextType`
`protected QName` | `fEnclosedElementName`
`protected String[]` | `fLocationHints`
`protected String` | `fTargetNamespace`
`protected QName` | `fTriggeringComponent`

Fields inherited from class weblogic.apache.xerces.util.XMLResourceIdentifierImpl
`fBaseSystemId, fExpandedSystemId, fLiteralSystemId, fPublicId`

Fields inherited from interface weblogic.apache.xerces.xni.grammars.XMLGrammarDescription
`XML_DTD, XML_SCHEMA`

Constructor Summary
`XSDDescription()`

Method Summary
`boolean` | `equals(Object descObj)` Compares this grammar with the given grammar.
`boolean` | `fromInstance()`
`XMLAttributes` | `getAttributes()` If a call is triggered by an element/attribute/xsi:type in the instance, this call returns all attribute of such element (or enclosing element).
`short` | `getContextType()` Get the context.
`QName` | `getEnclosingElementName()` If a call is triggered by an attribute or xsi:type, then this mehtod returns the enclosing element of such element.
`String` | `getGrammarType()` the type of the grammar (e.g., DTD or XSD);
`String[]` | `getLocationHints()` For import and references from the instance document, it's possible to have multiple hints for one namespace.
`String` | `getTargetNamespace()` If the context is "include" or "redefine", then return the target namespace of the enclosing schema document; otherwise, the expected target namespace of this document.
`QName` | `getTriggeringComponent()` If a call is triggered by an element/attribute/xsi:type in the instance, this call returns the name of such triggering component: the name of the element/attribute, or the value of the xsi:type.
`int` | `hashCode()` Returns the hash code of this grammar
`XSDDescription` | `makeClone()`
`void` | `reset()` resets all the fields
`void` | `setAttributes(XMLAttributes attributes)`
`void` | `setContextType(short contextType)`
`void` | `setEnclosingElementName(QName enclosedElementName)`
`void` | `setLocationHints(String[] locationHints)`
`void` | `setTargetNamespace(String targetNamespace)`
`void` | `setTriggeringComponent(QName triggeringComponent)`

Methods inherited from class weblogic.apache.xerces.util.XMLResourceIdentifierImpl
`clear, getBaseSystemId, getExpandedSystemId, getLiteralSystemId, getPublicId, setBaseSystemId, setExpandedSystemId, setLiteralSystemId, setPublicId, setValues, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface weblogic.apache.xerces.xni.XMLResourceIdentifier
`getBaseSystemId, getExpandedSystemId, getLiteralSystemId, getPublicId`

Field Detail

### CONTEXT_INITIALIZE

    public static final short CONTEXT_INITIALIZE

  Indicate that this description was just initialized.

  See Also:
    Constant Field Values

### CONTEXT_INCLUDE

    public static final short CONTEXT_INCLUDE

  Indicate that the current schema document is d by another schema document.

  See Also:
    Constant Field Values

### CONTEXT_REDEFINE

    public static final short CONTEXT_REDEFINE

  Indicate that the current schema document is d by another schema document.

  See Also:
    Constant Field Values

### CONTEXT_IMPORT

    public static final short CONTEXT_IMPORT

  Indicate that the current schema document is ed by another schema document.

  See Also:
    Constant Field Values

### CONTEXT_PREPARSE

    public static final short CONTEXT_PREPARSE

  Indicate that the current schema document is being preparsed.

  See Also:
    Constant Field Values

### CONTEXT_INSTANCE

    public static final short CONTEXT_INSTANCE

  Indicate that the parse of the current schema document is triggered by xsi:schemaLocation/noNamespaceSchemaLocation attribute(s) in the instance document. This value is only used if we don't defer the loading of schema documents.

  See Also:
    Constant Field Values

### CONTEXT_ELEMENT

    public static final short CONTEXT_ELEMENT

  Indicate that the parse of the current schema document is triggered by the occurrence of an element whose namespace is the target namespace of this schema document. This value is only used if we do defer the loading of schema documents until a component from that namespace is referenced from the instance.

  See Also:
    Constant Field Values

### CONTEXT_ATTRIBUTE

    public static final short CONTEXT_ATTRIBUTE

  Indicate that the parse of the current schema document is triggered by the occurrence of an attribute whose namespace is the target namespace of this schema document. This value is only used if we do defer the loading of schema documents until a component from that namespace is referenced from the instance.

  See Also:
    Constant Field Values

### CONTEXT_XSITYPE

    public static final short CONTEXT_XSITYPE

  Indicate that the parse of the current schema document is triggered by the occurrence of an "xsi:type" attribute, whose value (a QName) has the target namespace of this schema document as its namespace. This value is only used if we do defer the loading of schema documents until a component from that namespace is referenced from the instance.

  See Also:
    Constant Field Values

### fContextType

    protected short fContextType

### fTargetNamespace

    protected String fTargetNamespace

### fLocationHints

    protected String[] fLocationHints

### fTriggeringComponent

    protected QName fTriggeringComponent

### fEnclosedElementName

    protected QName fEnclosedElementName

### fAttributes

    protected XMLAttributes fAttributes

Constructor Detail

### XSDDescription

    public XSDDescription()

Method Detail

### getGrammarType

    public String getGrammarType()

  the type of the grammar (e.g., DTD or XSD);

  Specified by:
    `getGrammarType` in interface `XMLGrammarDescription`
  See Also:
    `Grammar`

### getContextType

    public short getContextType()

  Get the context. The returned value is one of the pre-defined CONTEXT_xxx constants.

  Returns:
    the value indicating the context

### getTargetNamespace

    public String getTargetNamespace()

  If the context is "include" or "redefine", then return the target namespace of the enclosing schema document; otherwise, the expected target namespace of this document.

  Returns:
    the expected/enclosing target namespace

### getLocationHints

    public String[] getLocationHints()

  For import and references from the instance document, it's possible to have multiple hints for one namespace. So this method returns an array, which contains all location hints.

  Returns:
    an array of all location hints associated to the expected target namespace

### getTriggeringComponent

    public QName getTriggeringComponent()

  If a call is triggered by an element/attribute/xsi:type in the instance, this call returns the name of such triggering component: the name of the element/attribute, or the value of the xsi:type.

  Returns:
    the name of the triggering component

### getEnclosingElementName

    public QName getEnclosingElementName()

  If a call is triggered by an attribute or xsi:type, then this mehtod returns the enclosing element of such element.

  Returns:
    the name of the enclosing element

### getAttributes

    public XMLAttributes getAttributes()

  If a call is triggered by an element/attribute/xsi:type in the instance, this call returns all attribute of such element (or enclosing element).

  Returns:
    all attributes of the tiggering/enclosing element

### fromInstance

    public boolean fromInstance()

### equals

    public boolean equals(Object descObj)

  Compares this grammar with the given grammar. Currently, we compare the target namespaces.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `desc` - The description of the grammar to be compared with
  Returns:
    True if they are equal, else false

### hashCode

    public int hashCode()

  Returns the hash code of this grammar

  Overrides:
    `hashCode` in class `XMLResourceIdentifierImpl`
  Returns:
    The hash code

### setContextType

    public void setContextType(short contextType)

### setTargetNamespace

    public void setTargetNamespace(String targetNamespace)

### setLocationHints

    public void setLocationHints(String[] locationHints)

### setTriggeringComponent

    public void setTriggeringComponent(QName triggeringComponent)

### setEnclosingElementName

    public void setEnclosingElementName(QName enclosedElementName)

### setAttributes

    public void setAttributes(XMLAttributes attributes)

### reset

    public void reset()

  resets all the fields

### makeClone

    public XSDDescription makeClone()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD